#include <stdio.h>
#include <string.h>
#include "DataLoad.h"
#include "Func.h"

/* これは必須 */
SchedDefineTask(DataLoad);

static int
run(SchedTask *s, void *rbuf, void *wbuf)
{

  int size = (int)s->get_param(0);
  int load_id = (int)s->get_param(1);

  //printf("size %d",sizeof(float)*length);

  s->global_alloc(load_id, size);

  //MemList *ml = s->createMemList(length,length);
  //s->global_set(load_id, (void *)ml);

  return 0;
}

